package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.List;

/**
 * @author hongzq
 */
public class AuditOrderReq implements Serializable {

    @NotBlank
    private String orderId;

    /**
     * 0.通过 1.不通过
     */
    @Pattern(regexp = "^[01]$")
    private String type;

    private String reason;

    /**
     * 待工程部审批可以修改申请数量
     */
    private List<ApplyOrderDetailReq> details;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<ApplyOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<ApplyOrderDetailReq> details) {
        this.details = details;
    }
}
